@echo off
echo This .bat file is used to convert .PBM files to compressed .ASM files.
echo Usage: CmpPBM filename (Without the .PBM extension)

if not exist %1.pbm goto filemissing

echo %1.pbm | pbm2asm > $$temp.asm
echo ;    >> $$temp.asm
echo .END >> $$temp.asm
echo.
tasm -i -80 -g3 -a4 $$temp.asm
echo .
copy $$temp.obj %1.obj
ezcmp %1.obj %1.asm
del $$temp.asm
echo %1.asm is complete.
goto done

:filemissing
echo.
echo ERROR : %1.pbm does not exist !
goto done

:done
