;
;                             EZCMP Example Program
;                        EZCMP (c) 1997 by Chris Busch
;                    (ported to TI-82 by Wouter Demuynck)
; Please read ezcmp.doc file and other ezcmp*.asm files for more details.
;

#include "ti82.h"

;The following variables are needed by the decompressor
;These vars can be placed anywhere in the RAM.
EZdest     = TEXT_MEM             ; word
EZdestdone = EZdest     + 2       ; word
EZlookup   = EZdestdone + 2       ; word

.org START_ADDR
.db "EZCMP decoder v0.0 CGB",0

   ld   hl,EZCMPgarf_datPASSES    ; load address 
   CALL EZCMPDecodeMPass          ; Multiple Passes, decompressed
                                  ; data to GRAPH_MEM and APD_BUF
   ;( Remember that EZCMP can also be used for level data, maps, ...   )
   ;( If you have data compressed with only a single pass then you may )
   ;( want to use EZCMPDecodeSPass directly.                           )

   ROM_CALL(DISP_GRAPH)           ; show GRAPH_MEM on the screen
wait4key:
   halt        ;I think having halts in waiting loops may save batteries
   call GET_KEY
   or a                           ; check if a is zero
   jr z,wait4key                  ; if so, keep waiting for key
   ret                            ; else, end of program

#include "ezcmpmp.asm"            ; include the multipass decompressor lib
                                  ; (also loads the single pass decompressor) 

#include "garf.asm"               ; include the compressed data (garfield)

.END                              ; the end directive

